Bug 693762 - ucarp died when ifdown, leaving address active
Summary: ucarp died when ifdown, leaving address active
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ucarp
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-05 14:22 UTC by Jan-Frode Myklebust
Modified: 2013-06-03 17:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-20 16:11:51 UTC


Attachments (Terms of Use)

Description Jan-Frode Myklebust 2011-04-05 14:22:14 UTC
Description of problem:

We just did some failure situation testing on two servers using ucarp. When taking down the interface ucarp was using on the machine which had the VIP address active -- ucarp crashed and after taking the interface back up we noticed that the VIP address was active both on the primary and secondary server.

Version-Release number of selected component (if applicable):

ucarp-1.5.2-1.el6.x86_64

How reproducible:

100%

Steps to Reproduce:
1. Install ucarp on two machines. Configure a failover IP address.
2. Take down the active interface of the machine which is active ucarp master using "ifconfig eth0 down"
3. See that ucarp crash, leaving VIP address active on *both* servers.
  
Actual results:

ucarp crash with message:

  ucarp[6592]: [ERROR] exiting: pfds[0].revents = 8

leaving the vip address active on this server, and the partner server also activates the VIP address.

Expected results:

ucarp should survive, or take down the VIP-address before going down. Having the IP up on both machines is no fun..

Additional info:

Comment 1 Christian Theune 2012-10-25 08:21:21 UTC
Actually there's a changeset on github that fixes this:
https://github.com/jedisct1/UCarp/commit/6429e3b928d5b5d85cb55aedb6261d5ce8885e3a

Just noticed it when I had the same problem.

Comment 2 Fedora Update System 2012-10-25 14:52:06 UTC
ucarp-1.5.2-3.1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ucarp-1.5.2-3.1.el6

Comment 3 Fedora Update System 2012-10-25 14:52:24 UTC
ucarp-1.5.2-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ucarp-1.5.2-7.fc18

Comment 4 Fedora Update System 2012-10-25 14:52:36 UTC
ucarp-1.5.2-3.1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ucarp-1.5.2-3.1.el5

Comment 5 Fedora Update System 2012-10-25 14:52:49 UTC
ucarp-1.5.2-3.1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ucarp-1.5.2-3.1.fc16

Comment 6 Fedora Update System 2012-10-25 14:53:09 UTC
ucarp-1.5.2-3.1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ucarp-1.5.2-3.1.fc17

Comment 7 Fedora Update System 2012-10-26 18:38:21 UTC
Package ucarp-1.5.2-3.1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing ucarp-1.5.2-3.1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13305/ucarp-1.5.2-3.1.el6
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2012-12-20 16:11:53 UTC
ucarp-1.5.2-3.1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 David Carlin 2013-06-03 17:50:16 UTC
(In reply to Fedora Update System from comment #8)
> If problems still persist, please make note of it in this bug report.

I downloaded ucarp-1.5.2-8.el6.x86_64 from EPEL 6 repository and I'm experiencing this issue.  If I follow the steps listed in this bug, ucarp crashes before running /usr/libexec/ucarp/vip-down

Same error: ucarp[9322]: [ERROR] exiting: pfds[0].revents = 8


Note You need to log in before you can comment on or make changes to this bug.